# pcre_maketables man page

Return to the PCRE index page.

This page is part of the PCRE HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre.h>

const unsigned char *pcre_maketables(void);

const unsigned char *pcre16_maketables(void);

const unsigned char *pcre32_maketables(void);

DESCRIPTION

This function builds a set of character tables for character values less than 256. These can be passed to pcre[16|32]_compile() to override PCRE's internal, built-in tables (which were made by pcre[16|32]_maketables() when PCRE was compiled). You might want to do this if you are using a non-standard locale. The function yields a pointer to the tables.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.

Return to the PCRE index page.